IDataSetUpdatable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, interface: IDataSetUpdatable

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Interface IDataSetUpdatable

All Superinterfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

All Known Subinterfaces:
  `IDataSet`

All Known Implementing Classes:
  `DataSet`, `DataSetUpdatable`

public interface IDataSetUpdatable extends ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setContainedDataSetCodes(List<String> containedDataSetCodes)`
  Set the codes for contained data sets.
  `void`
  `setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Set the experiment for this data set.
  `void`
  `setExternalCode(String externalCode)`
  Set the code from the external data management system
  `void`
  `setExternalDataManagementSystem(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable externalDataManagementSystem)`
  Set the external data management system
  `void`
  `setParentDatasets(List<String> parentDatasetCodes)`
  Sets the parents of the dataset.
  `void`
  `setPropertyValue(String propertyCode, String propertyValue)`
  Set the value for a property.
  `void`
  `setSample(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sampleOrNull)`
  Set the sample for this data set.

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable

  `getAllPropertyCodes, getChildrenDataSets, getContainedDataSetCodes, getContainerDataSet, getContainerDataSets, getDataSetCode, getDataSetKind, getDataSetType, getDataSetTypeWithPropertyTypes, getExperiment, getExternalCode, getExternalDataManagementSystem, getOrderInContainer, getParentDatasets, getPropertyValue, getSample, getSpeedHint, isContainedDataSet, isContainerDataSet, isLinkDataSet, isMeasuredData, isNoFileDataSet, isPostRegistered`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent

  `getEntityId`

- ## Method Details

  - ### setExperiment

    void setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Set the experiment for this data set. The experiment may also be set by setting the sample.
    Parameters:
      `experiment` - The experiment for this data set. Need not actually be immutable, but the immutable one is the supertype.

  - ### setSample

    void setSample(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sampleOrNull)
    Set the sample for this data set. Will also set the experiment, since the sample must have an experiment.
    Parameters:
      `sampleOrNull` - The sample to use. Need not actually be immutable, but the immutable one is the supertype.

  - ### setPropertyValue

    void setPropertyValue(String propertyCode, String propertyValue)
    Set the value for a property.

  - ### setParentDatasets

    void setParentDatasets(List<String> parentDatasetCodes)
    Sets the parents of the dataset.

  - ### setContainedDataSetCodes

    void setContainedDataSetCodes(List<String> containedDataSetCodes)
    Set the codes for contained data sets.

  - ### setExternalDataManagementSystem

    void setExternalDataManagementSystem(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable externalDataManagementSystem)
    Set the external data management system

  - ### setExternalCode

    void setExternalCode(String externalCode)
    Set the code from the external data management system